libllvm3.6v5_3.6.2-3ubuntu2_amd64.deb


Advertisement

Description

libllvm3.6v5 - Modular compiler and toolchain technologies, runtime library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libllvm3.6v5_3.6.2-3ubuntu2_amd64.deb
Package name libllvm3.6v5
Package version 3.6.2
Package release 3ubuntu2
Package architecture amd64
Package type deb
Category libs
Homepage http://www.llvm.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.70 MB
Installed size 31.09 MB
LLVM is a collection of libraries and tools that make it easy to build
compilers, optimizers, just-in-time code generators, and many other
compiler-related programs.
This package contains the LLVM runtime library.

Alternatives

Package Version Architecture Repository
libllvm3.6v5_3.6.2-3ubuntu2_i386.deb 3.6.2 i386 Ubuntu Main
libllvm3.6v5 - - -

Requires

Name Value
libc6 >= 2.15
libedit2 >= 2.11-20080614
libffi6 >= 3.0.4
libgcc1 >= 1:3.4
libstdc++6 >= 5.2
libtinfo5 >= 6
zlib1g >= 1:1.2.0

Conflicts

Name Value
libllvm3.6 -

Replaces

Name Value
libllvm3.6 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libllvm3.6v5_3.6.2-3ubuntu2_amd64.deb
Source Package llvm-toolchain-3.6

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libllvm3.6v5 deb package:
    # sudo apt-get install libllvm3.6v5

Files

Path
/usr/lib/x86_64-linux-gnu/libLLVM-3.6.so.1
/usr/share/doc/libllvm3.6v5/NEWS.Debian.gz
/usr/share/doc/libllvm3.6v5/changelog.Debian.gz
/usr/share/doc/libllvm3.6v5/copyright
/usr/share/lintian/overrides/libllvm3.6v5

Changelog

2016-04-18 - Matthias Klose <doko@ubuntu.com>
llvm-toolchain-3.6 (1:3.6.2-3ubuntu2) xenial; urgency=medium
* Do not link executables with a version script.
2015-12-17 - Matthias Klose <doko@ubuntu.com>
llvm-toolchain-3.6 (1:3.6.2-3ubuntu1) xenial; urgency=medium
* [AArch64] Fix invalid use of references to BuildMI, taken from the trunk.
2015-11-10 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>
llvm-toolchain-3.6 (1:3.6.2-3build1) xenial; urgency=medium
* No-change rebuild against ocaml 4.02. (LP: #1515031)
2015-10-20 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2-3) unstable; urgency=medium
* Add a Break/Replaces clang-3.6 (<< 1:3.6.2-2) from clang-tidy-3.6
to simplify the transition (Closes: #802456)
* Remove some warnings in the manpages generation (Closes: #795310)
2015-09-21 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2-2) unstable; urgency=medium
* Fix the warning "duplicate-short-description cpp11-migrate-3.6
clang-modernize-3.6". cpp11-migrate is the old name of clang-modernize
* Bring back the build-id (Closes: #790686)
* Introduce clang-tidy-3.6 as a new package
[ Gianfranco Costamagna ]
* Fix many lintian warning/errors
- copyright fixes
- updated overrides for v5 switch
- d/control fixes on VCS fields and multiarch.
- disabled ocaml documentation
* d/p/bug783205.patch: rebase to 3.6.
* d/control: Add more conflicting packages (python-clang and python-lldb)
2015-08-17 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2-1) unstable; urgency=medium
[ Sylvestre Ledru ]
* New upstream release
* Upload in unstable
* Add a workaround to build against g++ 5.2 (which does not provide
the binary g++-5.2)
* Transition to gcc 5. Thanks to Matthias Klose for the patch.
For this, we had to rename libllvm3.6 to libllvm3.6v5
(Closes: #793899)
* bug-24472.diff: Silent some aarch64/arm64 tests which started to fail
probably during the gcc 5 migration
2015-06-24 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2~+rc1-1~exp1) experimental; urgency=medium
* Preparation of the new stable release
* Disable the patch force-gcc-header-obj.diff. Seems to cause bug #23556
2015-05-20 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.1-1) unstable; urgency=medium
* New upstream release
* Fix the CMake build. thanks to Paweł Bylica for the fix.
Fix upstream bug #23352
2015-05-19 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6~+rc1-1~exp1) experimental; urgency=medium
* Preparation for the 3.6.1 release
* Force the version of clang in the analyzer scripts
clang-analyzer-force-version.diff
* Update of the Vcs-* flags
* remove lldb-arch.diff (merged upstream)
2015-02-27 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6-2) unstable; urgency=medium
* lldb-arch.diff: Fix a critical bug on lldb arch detection
(Closes: #778562)

See Also

Package Description
libllvm3.8_3.8-2ubuntu1_amd64.deb Modular compiler and toolchain technologies, runtime library
liblocale-gettext-perl_1.07-1build1_amd64.deb module using libc functions for internationalization in Perl
liblockfile-bin_1.09-6ubuntu1_amd64.deb support binaries for and cli utilities based on liblockfile
liblockfile-dev_1.09-6ubuntu1_amd64.deb Development library for liblockfile
liblockfile1_1.09-6ubuntu1_amd64.deb NFS-safe locking library
liblouis-data_2.6.4-2_all.deb Braille translation library - data
liblouis-dev_2.6.4-2_amd64.deb Braille translation library - static libs and headers
liblouis9_2.6.4-2_amd64.deb Braille translation library - shared libs
liblouisutdml-bin_2.5.0-3_amd64.deb Braille UTDML translation utilities
liblouisutdml-data_2.5.0-3_all.deb Braille UTDML translation library - data
liblouisutdml-dev_2.5.0-3_amd64.deb Braille UTDML translation library - static libs and headers
liblouisutdml-java-doc_2.5.0-3_all.deb Braille UTDML translation library - java bindings documentation
liblouisutdml6_2.5.0-3_amd64.deb Braille UTDML translation library - shared libs
liblpsolve55-dev_5.5.0.13-7build2_amd64.deb Solve (mixed integer) linear programming problems - library
liblqr-1-0-dev_0.4.2-2_amd64.deb converts plain array images into multi-size representation (developments files)
Advertisement
Advertisement